﻿using System.Windows;
using Infragistics.Windows.DataPresenter;

namespace HostAnyControl
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void XamDataGrid_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
			if (e.Record is DataRecord)
			{
				// the following if check is needed in 9.1 since this event will 
				// be fired whenever the value of a cell is changed...
				if (e.ReInitialize == false)
					((DataRecord)e.Record).Cells["pt"].Value = new Point(100, 100);
			}
        }
    }
}
